export declare class EXT_blend_minmax {
    readonly MAX_EXT: number;
    readonly MIN_EXT: number;
    constructor(nativeInstance: any);
}
export declare class EXT_color_buffer_float {
    readonly R11F_G11F_B10F: number;
    readonly R16F: number;
    readonly R32F: number;
    readonly RG16F: number;
    readonly RG32F: number;
    readonly RGB16F: number;
    readonly RGBA32F: number;
    constructor(nativeInstance: any);
}
export declare class EXT_color_buffer_half_float {
    readonly FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT: number;
    readonly RGB16F_EXT: number;
    readonly RGBA16F_EXT: number;
    readonly UNSIGNED_NORMALIZED_EXT: number;
    constructor(nativeInstance: any);
}
export declare class EXT_sRGB {
    readonly FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING_EXT: number;
    readonly SRGB8_ALPHA8_EXT: number;
    readonly SRGB_ALPHA_EXT: number;
    readonly SRGB_EXT: number;
    constructor(nativeInstance: any);
}
export declare class EXT_shader_texture_lod {
    constructor(nativeInstance: any);
}
export declare class EXT_texture_filter_anisotropic {
    readonly MAX_TEXTURE_MAX_ANISOTROPY_EXT: number;
    readonly TEXTURE_MAX_ANISOTROPY_EXT: number;
    constructor(nativeInstance: any);
}
export declare class OES_element_index_uint {
    readonly UNSIGNED_INT: number;
    constructor(nativeInstance: any);
}
export declare class OES_fbo_render_mipmap {
    constructor(nativeInstance: any);
}
export declare class OES_standard_derivatives {
    constructor(nativeInstance: any);
}
export declare class OES_texture_float {
    constructor(nativeInstance: any);
}
export declare class OES_texture_float_linear {
    constructor(nativeInstance: any);
}
export declare class OES_texture_half_float {
    readonly HALF_FLOAT_OES: number;
    constructor(nativeInstance: any);
}
export declare class OES_texture_half_float_linear {
    constructor(nativeInstance: any);
}
export declare class OES_vertex_array_object {
    readonly VERTEX_ARRAY_BINDING_OES: any;
    constructor(nativeInstance: any);
}
export declare class WEBGL_color_buffer_float {
    readonly FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT: number;
    readonly RGB32F_EXT: number;
    readonly RGBA32F_EXT: number;
    readonly UNSIGNED_NORMALIZED_EXT: number;
    constructor(nativeInstance: any);
}
export declare class WEBGL_compressed_texture_etc {
    readonly COMPRESSED_R11_EAC: number;
    readonly COMPRESSED_RG11_EAC: number;
    readonly COMPRESSED_RGB8_ETC2: number;
    readonly COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2: number;
    readonly COMPRESSED_RGBA8_ETC2_EAC: number;
    readonly COMPRESSED_SIGNED_R11_EAC: number;
    readonly COMPRESSED_SIGNED_RG11_EAC: number;
    readonly COMPRESSED_SRGB8_ALPHA8_ETC2_EAC: number;
    readonly COMPRESSED_SRGB8_ETC2: number;
    readonly COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2: number;
    constructor(nativeInstance: any);
}
export declare class WEBGL_compressed_texture_etc1 {
    readonly COMPRESSED_RGB_ETC1_WEBGL: number;
    constructor(nativeInstance: any);
}
export declare class WEBGL_compressed_texture_pvrtc {
    readonly COMPRESSED_RGBA_PVRTC_2BPPV1_IMG: number;
    readonly COMPRESSED_RGBA_PVRTC_4BPPV1_IMG: number;
    readonly COMPRESSED_RGB_PVRTC_2BPPV1_IMG: number;
    readonly COMPRESSED_RGB_PVRTC_4BPPV1_IMG: number;
    constructor(nativeInstance: any);
}
export declare class WEBGL_depth_texture {
    readonly UNSIGNED_INT_24_8_WEBGL: number;
    constructor(nativeInstance: any);
}
export declare class WEBGL_lose_context {
    private nativeInstance;
    constructor(nativeInstance: any);
    loseContext(): void;
    restoreContext(): void;
}
export declare class EXT_disjoint_timer_query {
    private nativeInstance;
    readonly QUERY_COUNTER_BITS_EXT: any;
    readonly CURRENT_QUERY_EXT: any;
    readonly QUERY_RESULT_EXT: any;
    readonly QUERY_RESULT_AVAILABLE_EXT: any;
    readonly TIME_ELAPSED_EXT: any;
    readonly TIMESTAMP_EXT: any;
    readonly GPU_DISJOINT_EXT: any;
    constructor(nativeInstance: any);
}
export declare class WEBGL_compressed_texture_atc {
    private nativeInstance;
    readonly COMPRESSED_RGB_ATC_WEBGL: any;
    readonly COMPRESSED_RGBA_ATC_EXPLICIT_ALPHA_WEBGL: any;
    readonly COMPRESSED_RGBA_ATC_INTERPOLATED_ALPHA_WEBGL: any;
    constructor(nativeInstance: any);
}
export declare class WEBGL_compressed_texture_s3tc {
    readonly COMPRESSED_RGB_S3TC_DXT1_EXT: any;
    readonly COMPRESSED_RGBA_S3TC_DXT1_EXT: any;
    readonly COMPRESSED_RGBA_S3TC_DXT3_EXT: any;
    readonly COMPRESSED_RGBA_S3TC_DXT5_EXT: any;
    private nativeInstance;
    constructor(nativeInstance: any);
}
export declare class WEBGL_compressed_texture_s3tc_srgb {
    readonly COMPRESSED_SRGB_S3TC_DXT1_EXT: any;
    readonly COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT: any;
    readonly COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT: any;
    readonly COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT: any;
    private nativeInstance;
    constructor(nativeInstance: any);
}
export declare class WEBGL_draw_buffers {
    readonly COLOR_ATTACHMENT0_WEBGL: any;
    readonly COLOR_ATTACHMENT1_WEBGL: any;
    readonly COLOR_ATTACHMENT2_WEBGL: any;
    readonly COLOR_ATTACHMENT3_WEBGL: any;
    readonly COLOR_ATTACHMENT4_WEBGL: any;
    readonly COLOR_ATTACHMENT5_WEBGL: any;
    readonly COLOR_ATTACHMENT6_WEBGL: any;
    readonly COLOR_ATTACHMENT7_WEBGL: any;
    readonly COLOR_ATTACHMENT8_WEBGL: any;
    readonly COLOR_ATTACHMENT9_WEBGL: any;
    readonly COLOR_ATTACHMENT10_WEBGL: any;
    readonly COLOR_ATTACHMENT11_WEBGL: any;
    readonly COLOR_ATTACHMENT12_WEBGL: any;
    readonly COLOR_ATTACHMENT13_WEBGL: any;
    readonly COLOR_ATTACHMENT14_WEBGL: any;
    readonly COLOR_ATTACHMENT15_WEBGL: any;
    readonly DRAW_BUFFER0_WEBGL: any;
    readonly DRAW_BUFFER1_WEBGL: any;
    readonly DRAW_BUFFER2_WEBGL: any;
    readonly DRAW_BUFFER3_WEBGL: any;
    readonly DRAW_BUFFER4_WEBGL: any;
    readonly DRAW_BUFFER5_WEBGL: any;
    readonly DRAW_BUFFER6_WEBGL: any;
    readonly DRAW_BUFFER7_WEBGL: any;
    readonly DRAW_BUFFER8_WEBGL: any;
    readonly DRAW_BUFFER9_WEBGL: any;
    readonly DRAW_BUFFER10_WEBGL: any;
    readonly DRAW_BUFFER11_WEBGL: any;
    readonly DRAW_BUFFER12_WEBGL: any;
    readonly DRAW_BUFFER13_WEBGL: any;
    readonly DRAW_BUFFER14_WEBGL: any;
    readonly DRAW_BUFFER15_WEBGL: any;
    readonly MAX_COLOR_ATTACHMENTS_WEBGL: any;
    readonly MAX_DRAW_BUFFERS_WEBGL: any;
    private nativeInstance;
    constructor(nativeInstance: any);
}
